Update customer entitlement
curl --request PATCH \
--url https://api.zenskar.com/entitlements/{entitlement_id}/customer/{customer_id}/{ec_id} \
--header 'Content-Type: application/json' \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"entitlement": "<string>",
"customer": "<string>",
"expiry_at": "2023-11-07T05:31:56Z",
"active_from": "2023-11-07T05:31:56Z",
"quantity": 123,
"quantity_used": 123
}
'import requests
url = "https://api.zenskar.com/entitlements/{entitlement_id}/customer/{customer_id}/{ec_id}"
payload = {
"entitlement": "<string>",
"customer": "<string>",
"expiry_at": "2023-11-07T05:31:56Z",
"active_from": "2023-11-07T05:31:56Z",
"quantity": 123,
"quantity_used": 123
}
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-api-key': '<api-key>',
organisation: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entitlement: '<string>',
customer: '<string>',
expiry_at: '2023-11-07T05:31:56Z',
active_from: '2023-11-07T05:31:56Z',
quantity: 123,
quantity_used: 123
})
};
fetch('https://api.zenskar.com/entitlements/{entitlement_id}/customer/{customer_id}/{ec_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entitlement": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiry_at": "2023-11-07T05:31:56Z",
"active_from": "2023-11-07T05:31:56Z",
"quantity": 123,
"quantity_used": 123,
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Entitlements
Update customer entitlement
Update an existing customer entitlement
PATCH
/
entitlements
/
{entitlement_id}
/
customer
/
{customer_id}
/
{ec_id}
Update customer entitlement
Authorizations
Path Parameters
Body
application/json
Update Entitlement Request Schema
Response
Successful Response
Create Entitlement Customer Request Schema
Entitlement Customer Row Id
Entitlement ID
Customer ID
Entitlement Expiry Time
Entitlement Active From
Entitlement Units assigned
Entitlement Units Consumed
created time